> ## Documentation Index
> Fetch the complete documentation index at: https://bunnynet-cb9733c2-onclientmiddleware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# IP Addresses

> You can use the following IP addresses to whitelist Bunny.net traffic in your firewall or ACLs.

The API provides two endpoints for retrieving Magic Containers node IP addresses: `https://api.bunny.net/mc/nodes` returns a JSON array, and `https://api.bunny.net/mc/nodes/plain` returns plain text with one IP per line.

<Info>
  The list returned from the API is dynamic, make sure to request it
  periodically to avoid missing newly added IPs.
</Info>

<RequestExample>
  ```bash application/json theme={null}
  curl -H "Accept: application/json" https://api.bunny.net/mc/nodes
  ```

  ```bash text/plain theme={null}
  curl https://api.bunny.net/mc/nodes/plain
  ```
</RequestExample>

<ResponseExample>
  ```json application/json theme={null}
  {
    "items": [
      "104.166.147.46",
      "109.61.83.105",
      "109.61.83.248"
    ],
    "meta": {
      "totalItems": 3
    },
    "cursor": "<string>"
  }
  ```

  ```bash text/plain theme={null}
  104.166.147.46
  109.61.83.105
  109.61.83.248
  ```
</ResponseExample>
